<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'cenos',

    /*
     * Package.
     */
    'package'   => 'master',

    /*
     * Modules.
     */
    'modules'   => ['store', 
'product', 
'topic', 
'region', 
'storetype', 
'prodsource', 
'prodcat', 
'topiccat', 
'sourcecat', 
'source', 
'skill', 
'skillcat', 
'topictype'],

    'store'       => [
        'model' => [
            'model'                 => \Cenos\Master\Models\Store::class,
            'table'                 => 'stores',
            'presenter'             => \Cenos\Master\Repositories\Presenter\StorePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'code',  'name',  'alias',  'region_id',  'storetype_id'],
            'translatables'         => [],
            'upload_folder'         => 'master/store',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Cenos',
            'package'   => 'Master',
            'module'    => 'Store',
        ],

    ],

    'product'       => [
        'model' => [
            'model'                 => \Cenos\Master\Models\Product::class,
            'table'                 => 'products',
            'presenter'             => \Cenos\Master\Repositories\Presenter\ProductPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'alias',  'prodcat_id',  'prodsource_id'],
            'translatables'         => [],
            'upload_folder'         => 'master/product',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Cenos',
            'package'   => 'Master',
            'module'    => 'Product',
        ],

    ],

    'topic'       => [
        'model' => [
            'model'                 => \Cenos\Master\Models\Topic::class,
            'table'                 => 'topics',
            'presenter'             => \Cenos\Master\Repositories\Presenter\TopicPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'topiccat_id',  'topictype_id'],
            'translatables'         => [],
            'upload_folder'         => 'master/topic',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Cenos',
            'package'   => 'Master',
            'module'    => 'Topic',
        ],

    ],

    'region'       => [
        'model' => [
            'model'                 => \Cenos\Master\Models\Region::class,
            'table'                 => 'regions',
            'presenter'             => \Cenos\Master\Repositories\Presenter\RegionPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'parent_id'],
            'translatables'         => [],
            'upload_folder'         => 'master/region',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Cenos',
            'package'   => 'Master',
            'module'    => 'Region',
        ],

    ],

    'storetype'       => [
        'model' => [
            'model'                 => \Cenos\Master\Models\Storetype::class,
            'table'                 => 'storetypes',
            'presenter'             => \Cenos\Master\Repositories\Presenter\StoretypePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name'],
            'translatables'         => [],
            'upload_folder'         => 'master/storetype',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Cenos',
            'package'   => 'Master',
            'module'    => 'Storetype',
        ],

    ],

    'prodsource'       => [
        'model' => [
            'model'                 => \Cenos\Master\Models\Prodsource::class,
            'table'                 => 'prodsources',
            'presenter'             => \Cenos\Master\Repositories\Presenter\ProdsourcePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name'],
            'translatables'         => [],
            'upload_folder'         => 'master/prodsource',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Cenos',
            'package'   => 'Master',
            'module'    => 'Prodsource',
        ],

    ],

    'prodcat'       => [
        'model' => [
            'model'                 => \Cenos\Master\Models\Prodcat::class,
            'table'                 => 'prodcats',
            'presenter'             => \Cenos\Master\Repositories\Presenter\ProdcatPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'parent_id'],
            'translatables'         => [],
            'upload_folder'         => 'master/prodcat',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Cenos',
            'package'   => 'Master',
            'module'    => 'Prodcat',
        ],

    ],

    'topiccat'       => [
        'model' => [
            'model'                 => \Cenos\Master\Models\Topiccat::class,
            'table'                 => 'topiccats',
            'presenter'             => \Cenos\Master\Repositories\Presenter\TopiccatPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'parent_id'],
            'translatables'         => [],
            'upload_folder'         => 'master/topiccat',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Cenos',
            'package'   => 'Master',
            'module'    => 'Topiccat',
        ],

    ],

    'sourcecat'       => [
        'model' => [
            'model'                 => \Cenos\Master\Models\Sourcecat::class,
            'table'                 => 'sourcecats',
            'presenter'             => \Cenos\Master\Repositories\Presenter\SourcecatPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'parent_id'],
            'translatables'         => [],
            'upload_folder'         => 'master/sourcecat',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Cenos',
            'package'   => 'Master',
            'module'    => 'Sourcecat',
        ],

    ],

    'source'       => [
        'model' => [
            'model'                 => \Cenos\Master\Models\Source::class,
            'table'                 => 'sources',
            'presenter'             => \Cenos\Master\Repositories\Presenter\SourcePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'sourcecat_id'],
            'translatables'         => [],
            'upload_folder'         => 'master/source',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Cenos',
            'package'   => 'Master',
            'module'    => 'Source',
        ],

    ],

    'skill'       => [
        'model' => [
            'model'                 => \Cenos\Master\Models\Skill::class,
            'table'                 => 'skills',
            'presenter'             => \Cenos\Master\Repositories\Presenter\SkillPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'skillcat_id'],
            'translatables'         => [],
            'upload_folder'         => 'master/skill',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Cenos',
            'package'   => 'Master',
            'module'    => 'Skill',
        ],

    ],

    'skillcat'       => [
        'model' => [
            'model'                 => \Cenos\Master\Models\Skillcat::class,
            'table'                 => 'skillcats',
            'presenter'             => \Cenos\Master\Repositories\Presenter\SkillcatPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'parent_id'],
            'translatables'         => [],
            'upload_folder'         => 'master/skillcat',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Cenos',
            'package'   => 'Master',
            'module'    => 'Skillcat',
        ],

    ],

    'topictype'       => [
        'model' => [
            'model'                 => \Cenos\Master\Models\Topictype::class,
            'table'                 => 'topictypes',
            'presenter'             => \Cenos\Master\Repositories\Presenter\TopictypePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name'],
            'translatables'         => [],
            'upload_folder'         => 'master/topictype',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Cenos',
            'package'   => 'Master',
            'module'    => 'Topictype',
        ],

    ],
];
