<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateStoresTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: stores
         */
        Schema::create('stores', function ($table) {
            $table->increments('id');
            $table->string('code', 20)->nullable();
            $table->string('name', 100)->nullable();
            $table->string('alias', 100)->nullable();
            $table->integer('region_id')->nullable();
            $table->integer('storetype_id')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('stores');
    }
}
