<?php

namespace Cenos\Master;

use DB;
use Illuminate\Database\Seeder;

class ProdcatTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('prodcats')->insert([
            [
                "id"                  => '1',
                "name"                => 'Cross Up Sell',
            ],
            [
                "id"                  => '2',
                "name"                => 'Perdana',
            ],
            [
                "id"                  => '3',
                "name"                => 'Gimmick &amp; Other',
            ],
            [
                "id"                  => '4',
                "name"                => 'Reload Pulsa',
            ],
            [
                "id"                  => '5',
                "name"                => 'Reload Non Pulsa',
            ],
            [
                "id"                  => '6',
                "name"                => 'Reload Pulsa Electronic',
                "parent_id"           => '4',
            ],
            [
                "id"                  => '7',
                "name"                => 'Reload Pulsa Physic',
                "parent_id"           => '4',
            ],
            [
                "id"                  => '8',
                "name"                => 'Reload Non Pulsa Physic',
                "parent_id"           => '5',
            ],
            [
                "id"                  => '9',
                "name"                => 'Reload Non Pulsa Electronic',
                "parent_id"           => '5',
            ],
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'master.prodcat.view',
                'name'      => 'View Prodcat',
            ],
            [
                'slug'      => 'master.prodcat.create',
                'name'      => 'Create Prodcat',
            ],
            [
                'slug'      => 'master.prodcat.edit',
                'name'      => 'Update Prodcat',
            ],
            [
                'slug'      => 'master.prodcat.delete',
                'name'      => 'Delete Prodcat',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/master/prodcat',
                'name'        => 'Prodcat',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/master/prodcat',
                'name'        => 'Prodcat',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'prodcat',
                'name'        => 'Prodcat',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Master',
                'module'    => 'Prodcat',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'master.prodcat.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
