<?php

namespace Cenos\Master;

use DB;
use Illuminate\Database\Seeder;

class ProdsourceTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('prodsources')->insert([
            [
                "id"                  => '1',
                "name"                => 'Siebel',
            ],
            [
                "id"                  => '2',
                "name"                => 'PoSS',
            ],
            [
                "id"                  => '3',
                "name"                => 'Mobile Apps',
            ],
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'master.prodsource.view',
                'name'      => 'View Prodsource',
            ],
            [
                'slug'      => 'master.prodsource.create',
                'name'      => 'Create Prodsource',
            ],
            [
                'slug'      => 'master.prodsource.edit',
                'name'      => 'Update Prodsource',
            ],
            [
                'slug'      => 'master.prodsource.delete',
                'name'      => 'Delete Prodsource',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/master/prodsource',
                'name'        => 'Prodsource',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/master/prodsource',
                'name'        => 'Prodsource',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'prodsource',
                'name'        => 'Prodsource',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Master',
                'module'    => 'Prodsource',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'master.prodsource.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
