<?php

namespace Cenos\Master;

use DB;
use Illuminate\Database\Seeder;

class RegionTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('regions')->insert([
            [
                "id"                  => '1',
                "name"                => 'West',
                "parent_id"           => '1',
            ],
            [
                "id"                  => '2',
                "name"                => 'East',
                "parent_id"           => '1',
            ],
            [
                "id"                  => '3',
                "name"                => 'Northern &amp; Central Sumatera',
                "parent_id"           => '1',
            ],
            [
                "id"                  => '4',
                "name"                => 'Southern Sumatera',
                "parent_id"           => '1',
            ],
            [
                "id"                  => '5',
                "name"                => 'Kalimantan',
                "parent_id"           => '1',
            ],
            [
                "id"                  => '6',
                "name"                => 'Jabodetabek',
                "parent_id"           => '1',
            ],
            [
                "id"                  => '7',
                "name"                => 'West Java Inner &amp; Outer',
                "parent_id"           => '2',
            ],
            [
                "id"                  => '8',
                "name"                => ' Central Java',
                "parent_id"           => '2',
            ],
            [
                "id"                  => '9',
                "name"                => 'Sulawesi',
                "parent_id"           => '2',
            ],
            [
                "id"                  => '10',
                "name"                => 'East Java - Balom',
                "parent_id"           => '2',
            ],
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'master.region.view',
                'name'      => 'View Region',
            ],
            [
                'slug'      => 'master.region.create',
                'name'      => 'Create Region',
            ],
            [
                'slug'      => 'master.region.edit',
                'name'      => 'Update Region',
            ],
            [
                'slug'      => 'master.region.delete',
                'name'      => 'Delete Region',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/master/region',
                'name'        => 'Region',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/master/region',
                'name'        => 'Region',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'region',
                'name'        => 'Region',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Master',
                'module'    => 'Region',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'master.region.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
