<?php

namespace Cenos\Master;

use DB;
use Illuminate\Database\Seeder;

class SkillcatTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('skillcats')->insert([
            [
                "id"                  => '1',
                "name"                => '3Care Non Digital',
            ],
            [
                "id"                  => '2',
                "name"                => '3Care Digital',
            ],
            [
                "id"                  => '3',
                "name"                => '3Care Non Digital - Mass',
                "parent_id"           => '1',
            ],
            [
                "id"                  => '4',
                "name"                => '3Care Non Digital - Platinum',
                "parent_id"           => '1',
            ],
            [
                "id"                  => '5',
                "name"                => '3Care Non Digital - RCC',
                "parent_id"           => '1',
            ],
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'master.skillcat.view',
                'name'      => 'View Skillcat',
            ],
            [
                'slug'      => 'master.skillcat.create',
                'name'      => 'Create Skillcat',
            ],
            [
                'slug'      => 'master.skillcat.edit',
                'name'      => 'Update Skillcat',
            ],
            [
                'slug'      => 'master.skillcat.delete',
                'name'      => 'Delete Skillcat',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/master/skillcat',
                'name'        => 'Skillcat',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/master/skillcat',
                'name'        => 'Skillcat',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'skillcat',
                'name'        => 'Skillcat',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Master',
                'module'    => 'Skillcat',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'master.skillcat.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
