<?php

namespace Cenos\Master;

use DB;
use Illuminate\Database\Seeder;

class SourcecatTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('sourcecats')->insert([
            [
                "id"                  => '1',
                "name"                => '3Care',
            ],
            [
                "id"                  => '2',
                "name"                => '3Store',
            ],
            [
                "id"                  => '3',
                "name"                => '3Care Non Digital',
                "parent_id"           => '1',
            ],
            [
                "id"                  => '4',
                "name"                => '3Care Digital',
                "parent_id"           => '1',
            ],
            [
                "id"                  => '5',
                "name"                => '3Care Non Digital - Mass',
                "parent_id"           => '3',
            ],
            [
                "id"                  => '6',
                "name"                => '3Care Non Digital - Platinum',
                "parent_id"           => '3',
            ],
            [
                "id"                  => '7',
                "name"                => '3Care Non Digital - RCC',
                "parent_id"           => '3',
            ],
            [
                "id"                  => '8',
                "name"                => '3Care Non Digital - Premium CRO',
                "parent_id"           => '3',
            ],
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'master.sourcecat.view',
                'name'      => 'View Sourcecat',
            ],
            [
                'slug'      => 'master.sourcecat.create',
                'name'      => 'Create Sourcecat',
            ],
            [
                'slug'      => 'master.sourcecat.edit',
                'name'      => 'Update Sourcecat',
            ],
            [
                'slug'      => 'master.sourcecat.delete',
                'name'      => 'Delete Sourcecat',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/master/sourcecat',
                'name'        => 'Sourcecat',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/master/sourcecat',
                'name'        => 'Sourcecat',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'sourcecat',
                'name'        => 'Sourcecat',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Master',
                'module'    => 'Sourcecat',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'master.sourcecat.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
