<?php

namespace Cenos\Master;

use DB;
use Illuminate\Database\Seeder;

class StoretypeTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('storetypes')->insert([
            [
                "id"                  => '1',
                "name"                => 'Pods',
            ],
            [
                "id"                  => '2',
                "name"                => 'Store',
            ],
            [
                "id"                  => '3',
                "name"                => 'Kiosk',
            ],
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'master.storetype.view',
                'name'      => 'View Storetype',
            ],
            [
                'slug'      => 'master.storetype.create',
                'name'      => 'Create Storetype',
            ],
            [
                'slug'      => 'master.storetype.edit',
                'name'      => 'Update Storetype',
            ],
            [
                'slug'      => 'master.storetype.delete',
                'name'      => 'Delete Storetype',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/master/storetype',
                'name'        => 'Storetype',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/master/storetype',
                'name'        => 'Storetype',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'storetype',
                'name'        => 'Storetype',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Master',
                'module'    => 'Storetype',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'master.storetype.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
