<?php

namespace Cenos\Master;

use DB;
use Illuminate\Database\Seeder;

class TopiccatTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('topiccats')->insert([
            [
                "id"                  => '1',
                "name"                => 'Data Quality',
            ],
            [
                "id"                  => '2',
                "name"                => 'Network Quality',
            ],
            [
                "id"                  => '3',
                "name"                => 'Fo Complaints',
                "parent_id"           => '1',
            ],
            [
                "id"                  => '4',
                "name"                => 'Voice &amp; SMS',
                "parent_id"           => '1',
            ],
            [
                "id"                  => '5',
                "name"                => 'Data Quality',
                "parent_id"           => '1',
            ],
            [
                "id"                  => '6',
                "name"                => 'Network Quality',
                "parent_id"           => '1',
            ],
            [
                "id"                  => '7',
                "name"                => 'BlackBerry',
                "parent_id"           => '2',
            ],
            [
                "id"                  => '8',
                "name"                => 'IDD &amp; VOIP',
                "parent_id"           => '2',
            ],
            [
                "id"                  => '9',
                "name"                => 'K3/D3/Bonus/Cuan',
                "parent_id"           => '2',
            ],
            [
                "id"                  => '10',
                "name"                => 'LP3/Crnvl/Events',
                "parent_id"           => '2',
            ],
            [
                "id"                  => '11',
                "name"                => 'Prod &amp; Prog',
                "parent_id"           => '2',
            ],
            [
                "id"                  => '12',
                "name"                => 'Notification',
                "parent_id"           => '2',
            ],
            [
                "id"                  => '13',
                "name"                => 'SIM/USIM',
                "parent_id"           => '2',
            ],
            [
                "id"                  => '14',
                "name"                => 'System &amp; Application',
                "parent_id"           => '2',
            ],
            [
                "id"                  => '15',
                "name"                => 'Top Up/Bill/Pymnt',
                "parent_id"           => '2',
            ],
            [
                "id"                  => '16',
                "name"                => 'Others',
                "parent_id"           => '2',
            ],
            [
                "id"                  => '17',
                "name"                => 'QRCode',
                "parent_id"           => '2',
            ],
            [
                "id"                  => '18',
                "name"                => '3Sakti Apps',
                "parent_id"           => '2',
            ],
            [
                "id"                  => '19',
                "name"                => 'Balance Dispute',
                "parent_id"           => '2',
            ],
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'master.topiccat.view',
                'name'      => 'View Topiccat',
            ],
            [
                'slug'      => 'master.topiccat.create',
                'name'      => 'Create Topiccat',
            ],
            [
                'slug'      => 'master.topiccat.edit',
                'name'      => 'Update Topiccat',
            ],
            [
                'slug'      => 'master.topiccat.delete',
                'name'      => 'Delete Topiccat',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/master/topiccat',
                'name'        => 'Topiccat',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/master/topiccat',
                'name'        => 'Topiccat',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'topiccat',
                'name'        => 'Topiccat',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Master',
                'module'    => 'Topiccat',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'master.topiccat.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
