<?php

namespace Cenos\Master;

use DB;
use Illuminate\Database\Seeder;

class TopictypeTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('topictypes')->insert([
            [
                "id"                  => '1',
                "name"                => 'Service Request',
            ],
            [
                "id"                  => '2',
                "name"                => 'Inquery',
            ],
            [
                "id"                  => '3',
                "name"                => 'Feedback',
            ],
            [
                "id"                  => '4',
                "name"                => 'Complaint',
            ],
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'master.topictype.view',
                'name'      => 'View Topictype',
            ],
            [
                'slug'      => 'master.topictype.create',
                'name'      => 'Create Topictype',
            ],
            [
                'slug'      => 'master.topictype.edit',
                'name'      => 'Update Topictype',
            ],
            [
                'slug'      => 'master.topictype.delete',
                'name'      => 'Delete Topictype',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/master/topictype',
                'name'        => 'Topictype',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/master/topictype',
                'name'        => 'Topictype',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'topictype',
                'name'        => 'Topictype',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Master',
                'module'    => 'Topictype',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'master.topictype.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
