<?php

namespace Cenos\Master\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Store policy
        'Cenos\Master\Models\Store' => \Cenos\Master\Policies\StorePolicy::class,
// Bind Product policy
        'Cenos\Master\Models\Product' => \Cenos\Master\Policies\ProductPolicy::class,
// Bind Topic policy
        'Cenos\Master\Models\Topic' => \Cenos\Master\Policies\TopicPolicy::class,
// Bind Region policy
        'Cenos\Master\Models\Region' => \Cenos\Master\Policies\RegionPolicy::class,
// Bind Storetype policy
        'Cenos\Master\Models\Storetype' => \Cenos\Master\Policies\StoretypePolicy::class,
// Bind Prodsource policy
        'Cenos\Master\Models\Prodsource' => \Cenos\Master\Policies\ProdsourcePolicy::class,
// Bind Prodcat policy
        'Cenos\Master\Models\Prodcat' => \Cenos\Master\Policies\ProdcatPolicy::class,
// Bind Topiccat policy
        'Cenos\Master\Models\Topiccat' => \Cenos\Master\Policies\TopiccatPolicy::class,
// Bind Sourcecat policy
        'Cenos\Master\Models\Sourcecat' => \Cenos\Master\Policies\SourcecatPolicy::class,
// Bind Source policy
        'Cenos\Master\Models\Source' => \Cenos\Master\Policies\SourcePolicy::class,
// Bind Skill policy
        'Cenos\Master\Models\Skill' => \Cenos\Master\Policies\SkillPolicy::class,
// Bind Skillcat policy
        'Cenos\Master\Models\Skillcat' => \Cenos\Master\Policies\SkillcatPolicy::class,
// Bind Topictype policy
        'Cenos\Master\Models\Topictype' => \Cenos\Master\Policies\TopictypePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
