<?php

namespace Cenos\Master\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProdcatTransformer extends TransformerAbstract
{
    public function transform(\Cenos\Master\Models\Prodcat $prodcat)
    {
        return [
            'id'                => $prodcat->getRouteKey(),
            'key'               => [
                'public'    => $prodcat->getPublicKey(),
                'route'     => $prodcat->getRouteKey(),
            ], 
            'id'                => $prodcat->id,
            'name'              => $prodcat->name,
            'parent_id'         => $prodcat->parent_id,
            'url'               => [
                'public'    => trans_url('master/'.$prodcat->getPublicKey()),
                'user'      => guard_url('master/prodcat/'.$prodcat->getRouteKey()),
            ], 
            'status'            => trans('app.'.$prodcat->status),
            'created_at'        => format_date($prodcat->created_at),
            'updated_at'        => format_date($prodcat->updated_at),
        ];
    }
}