<?php

namespace Cenos\Master\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProdsourceTransformer extends TransformerAbstract
{
    public function transform(\Cenos\Master\Models\Prodsource $prodsource)
    {
        return [
            'id'                => $prodsource->getRouteKey(),
            'key'               => [
                'public'    => $prodsource->getPublicKey(),
                'route'     => $prodsource->getRouteKey(),
            ], 
            'id'                => $prodsource->id,
            'name'              => $prodsource->name,
            'url'               => [
                'public'    => trans_url('master/'.$prodsource->getPublicKey()),
                'user'      => guard_url('master/prodsource/'.$prodsource->getRouteKey()),
            ], 
            'status'            => trans('app.'.$prodsource->status),
            'created_at'        => format_date($prodsource->created_at),
            'updated_at'        => format_date($prodsource->updated_at),
        ];
    }
}