<?php

namespace Cenos\Master\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProductTransformer extends TransformerAbstract
{
    public function transform(\Cenos\Master\Models\Product $product)
    {
        return [
            'id'                => $product->getRouteKey(),
            'key'               => [
                'public'    => $product->getPublicKey(),
                'route'     => $product->getRouteKey(),
            ], 
            'id'                => $product->id,
            'name'              => $product->name,
            'alias'             => $product->alias,
            'prodcat_id'        => $product->prodcat_id,
            'prodsource_id'     => $product->prodsource_id,
            'url'               => [
                'public'    => trans_url('master/'.$product->getPublicKey()),
                'user'      => guard_url('master/product/'.$product->getRouteKey()),
            ], 
            'status'            => trans('app.'.$product->status),
            'created_at'        => format_date($product->created_at),
            'updated_at'        => format_date($product->updated_at),
        ];
    }
}