<?php

namespace Cenos\Master\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class RegionTransformer extends TransformerAbstract
{
    public function transform(\Cenos\Master\Models\Region $region)
    {
        return [
            'id'                => $region->getRouteKey(),
            'key'               => [
                'public'    => $region->getPublicKey(),
                'route'     => $region->getRouteKey(),
            ], 
            'id'                => $region->id,
            'name'              => $region->name,
            'parent_id'         => $region->parent_id,
            'url'               => [
                'public'    => trans_url('master/'.$region->getPublicKey()),
                'user'      => guard_url('master/region/'.$region->getRouteKey()),
            ], 
            'status'            => trans('app.'.$region->status),
            'created_at'        => format_date($region->created_at),
            'updated_at'        => format_date($region->updated_at),
        ];
    }
}