<?php

namespace Cenos\Master\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SkillTransformer extends TransformerAbstract
{
    public function transform(\Cenos\Master\Models\Skill $skill)
    {
        return [
            'id'                => $skill->getRouteKey(),
            'key'               => [
                'public'    => $skill->getPublicKey(),
                'route'     => $skill->getRouteKey(),
            ], 
            'id'                => $skill->id,
            'name'              => $skill->name,
            'skillcat_id'       => $skill->skillcat_id,
            'url'               => [
                'public'    => trans_url('master/'.$skill->getPublicKey()),
                'user'      => guard_url('master/skill/'.$skill->getRouteKey()),
            ], 
            'status'            => trans('app.'.$skill->status),
            'created_at'        => format_date($skill->created_at),
            'updated_at'        => format_date($skill->updated_at),
        ];
    }
}