<?php

namespace Cenos\Master\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SkillcatTransformer extends TransformerAbstract
{
    public function transform(\Cenos\Master\Models\Skillcat $skillcat)
    {
        return [
            'id'                => $skillcat->getRouteKey(),
            'key'               => [
                'public'    => $skillcat->getPublicKey(),
                'route'     => $skillcat->getRouteKey(),
            ], 
            'id'                => $skillcat->id,
            'name'              => $skillcat->name,
            'parent_id'         => $skillcat->parent_id,
            'url'               => [
                'public'    => trans_url('master/'.$skillcat->getPublicKey()),
                'user'      => guard_url('master/skillcat/'.$skillcat->getRouteKey()),
            ], 
            'status'            => trans('app.'.$skillcat->status),
            'created_at'        => format_date($skillcat->created_at),
            'updated_at'        => format_date($skillcat->updated_at),
        ];
    }
}