<?php

namespace Cenos\Master\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SourceTransformer extends TransformerAbstract
{
    public function transform(\Cenos\Master\Models\Source $source)
    {
        return [
            'id'                => $source->getRouteKey(),
            'key'               => [
                'public'    => $source->getPublicKey(),
                'route'     => $source->getRouteKey(),
            ], 
            'id'                => $source->id,
            'name'              => $source->name,
            'sourcecat_id'      => $source->sourcecat_id,
            'url'               => [
                'public'    => trans_url('master/'.$source->getPublicKey()),
                'user'      => guard_url('master/source/'.$source->getRouteKey()),
            ], 
            'status'            => trans('app.'.$source->status),
            'created_at'        => format_date($source->created_at),
            'updated_at'        => format_date($source->updated_at),
        ];
    }
}