<?php

namespace Cenos\Master\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SourcecatTransformer extends TransformerAbstract
{
    public function transform(\Cenos\Master\Models\Sourcecat $sourcecat)
    {
        return [
            'id'                => $sourcecat->getRouteKey(),
            'key'               => [
                'public'    => $sourcecat->getPublicKey(),
                'route'     => $sourcecat->getRouteKey(),
            ], 
            'id'                => $sourcecat->id,
            'name'              => $sourcecat->name,
            'parent_id'         => $sourcecat->parent_id,
            'url'               => [
                'public'    => trans_url('master/'.$sourcecat->getPublicKey()),
                'user'      => guard_url('master/sourcecat/'.$sourcecat->getRouteKey()),
            ], 
            'status'            => trans('app.'.$sourcecat->status),
            'created_at'        => format_date($sourcecat->created_at),
            'updated_at'        => format_date($sourcecat->updated_at),
        ];
    }
}