<?php

namespace Cenos\Master\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class StoreTransformer extends TransformerAbstract
{
    public function transform(\Cenos\Master\Models\Store $store)
    {
        return [
            'id'                => $store->getRouteKey(),
            'key'               => [
                'public'    => $store->getPublicKey(),
                'route'     => $store->getRouteKey(),
            ], 
            'id'                => $store->id,
            'code'              => $store->code,
            'name'              => $store->name,
            'alias'             => $store->alias,
            'region_id'         => $store->region_id,
            'storetype_id'      => $store->storetype_id,
            'url'               => [
                'public'    => trans_url('master/'.$store->getPublicKey()),
                'user'      => guard_url('master/store/'.$store->getRouteKey()),
            ], 
            'status'            => trans('app.'.$store->status),
            'created_at'        => format_date($store->created_at),
            'updated_at'        => format_date($store->updated_at),
        ];
    }
}