<?php

namespace Cenos\Master\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class StoretypeTransformer extends TransformerAbstract
{
    public function transform(\Cenos\Master\Models\Storetype $storetype)
    {
        return [
            'id'                => $storetype->getRouteKey(),
            'key'               => [
                'public'    => $storetype->getPublicKey(),
                'route'     => $storetype->getRouteKey(),
            ], 
            'id'                => $storetype->id,
            'name'              => $storetype->name,
            'url'               => [
                'public'    => trans_url('master/'.$storetype->getPublicKey()),
                'user'      => guard_url('master/storetype/'.$storetype->getRouteKey()),
            ], 
            'status'            => trans('app.'.$storetype->status),
            'created_at'        => format_date($storetype->created_at),
            'updated_at'        => format_date($storetype->updated_at),
        ];
    }
}