<?php

namespace Cenos\Master\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TopicTransformer extends TransformerAbstract
{
    public function transform(\Cenos\Master\Models\Topic $topic)
    {
        return [
            'id'                => $topic->getRouteKey(),
            'key'               => [
                'public'    => $topic->getPublicKey(),
                'route'     => $topic->getRouteKey(),
            ], 
            'id'                => $topic->id,
            'name'              => $topic->name,
            'topiccat_id'       => $topic->topiccat_id,
            'topictype_id'      => $topic->topictype_id,
            'url'               => [
                'public'    => trans_url('master/'.$topic->getPublicKey()),
                'user'      => guard_url('master/topic/'.$topic->getRouteKey()),
            ], 
            'status'            => trans('app.'.$topic->status),
            'created_at'        => format_date($topic->created_at),
            'updated_at'        => format_date($topic->updated_at),
        ];
    }
}