<?php

namespace Cenos\Master\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TopiccatTransformer extends TransformerAbstract
{
    public function transform(\Cenos\Master\Models\Topiccat $topiccat)
    {
        return [
            'id'                => $topiccat->getRouteKey(),
            'key'               => [
                'public'    => $topiccat->getPublicKey(),
                'route'     => $topiccat->getRouteKey(),
            ], 
            'id'                => $topiccat->id,
            'name'              => $topiccat->name,
            'parent_id'         => $topiccat->parent_id,
            'url'               => [
                'public'    => trans_url('master/'.$topiccat->getPublicKey()),
                'user'      => guard_url('master/topiccat/'.$topiccat->getRouteKey()),
            ], 
            'status'            => trans('app.'.$topiccat->status),
            'created_at'        => format_date($topiccat->created_at),
            'updated_at'        => format_date($topiccat->updated_at),
        ];
    }
}