<?php

namespace Cenos\Master\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TopictypeTransformer extends TransformerAbstract
{
    public function transform(\Cenos\Master\Models\Topictype $topictype)
    {
        return [
            'id'                => $topictype->getRouteKey(),
            'key'               => [
                'public'    => $topictype->getPublicKey(),
                'route'     => $topictype->getRouteKey(),
            ], 
            'id'                => $topictype->id,
            'name'              => $topictype->name,
            'url'               => [
                'public'    => trans_url('master/'.$topictype->getPublicKey()),
                'user'      => guard_url('master/topictype/'.$topictype->getRouteKey()),
            ], 
            'status'            => trans('app.'.$topictype->status),
            'created_at'        => format_date($topictype->created_at),
            'updated_at'        => format_date($topictype->updated_at),
        ];
    }
}